import datetime
from http.server import HTTPServer, BaseHTTPRequestHandler

# asd
import requests


class HttpGethandler(BaseHTTPRequestHandler):
    def do_GET(self):
        try:
            if self.path.endswith("/OK"):
                self.send_response(200)

                self.send_header("Content-type", "text/html")
                self.end_headers()

                html = f"<html><head><meta charset='utf-8'><title>Damned HTTP-Server</title></head>" \
                       f"<body>It`s Damned HTTP-Server working probably" \
                       f"</body></html>"

                self.wfile.write(html.encode())

            if self.path.endswith("/info"):
                self.send_response(200)

                self.send_header("Content-type", "text/html")
                self.end_headers()

                html = f"<html><head><meta charset='utf-8'><title>Damned HTTP-Server</title></head>" \
                       f"<body>Trifonov Adam (701)3" \
                       f"</body></html>"

                self.wfile.write(html.encode())

            if self.path.endswith("status"):
                self.send_response(200)
                self.send_header("Content-type", "text/html")
                self.end_headers()
                get = requests.get('https://api.ipify.org/')

                html = f"<html><head><meta charset='utf-8'><title>Damned HTTP-Server</title></head>" \
                       f"<body>Your address on the Damned HTTP-Server: {get.text}<br>" \
                       f"Trifonov A.L. 701(3)<br>" \
                       f"Time on the Damned HTTP-Server: {str(datetime.datetime.now())}" \
                       f"</body></html>"
                self.wfile.write(html.encode())

        except IOError:
            self.send_error(400, f'Damned HTTP-Server not found{self.path}')


def main(server_class=HTTPServer, handler_class=HttpGethandler):
    server_address = ('localhost', 8000)
    httpd = server_class(server_address, handler_class)
    try:
        print("Damned HTTP-Server started")
        httpd.serve_forever()

    except KeyboardInterrupt:
        httpd.server_close()
        print("Damned HTTP-Server stopped")


if __name__ == '__main__':
    main()
